---
title: Professional Services Full Catalog
suppress_header: false
description: "Need help installing, upgrading, or migrating to GitLab? We can help with migration services or simply upgrading your current instance."
extra_css:
  - services.css
extra_js:
  - services.js
---

.services-page#offerings
  .page-container.container.services-block
    %ol.breadcrumb
      %li 
      = breadcrumbs(current_page)
    .row
      .col-md-10.col-md-offset-1
        %p 
          Below are services offered by GitLab's Professional Services team, along with their current maturity levels.  
          For more details on buying Professional Services, see our 
          %a{href: "/services/", target: "_blank"}
            services homepage 
          or use the form below to request more information.  For more information about selling Professional Services, see our
          %a{href: "/handbook/customer-success/professional-services-engineering/", target: "_blank"}
            handbook page.
          Note: These are the current 'off the shelf' offerings.  Custom/bespoke work is also available.  See the form at the bottom of this page for how to request further information on bespoke work.    
    %br
    .row
      .col-md-12
        %table.table
          %thead
            %tr
              %th Name
              %th SKU
              %th Maturity
              %th Category
              %th Price
          - data.services.sort_by{ |s| [s.level, s.category] }.each_with_index do |service, index|
            %tr
              %td
                %p
                  %a{ href: service.desc_url } 
                    #{service.name}
              %td
                %p
                  %a{ href: service.standard_sow }
                    #{service.sku}
              %td
                %p #{service.maturity}
              %td
                %p #{service.category}
              %td
                - if service.price
                  %p #{number_to_currency(service.price, precision: 0)} 
                  - if service.unit
                    per #{service.unit}
                - else
                  %p Custom
      .row
        .col-md-10.col-md-offset-1
          %p 
            Looking for other data migration services? We offer them but each engagement needs to be scoped because of the complexity of the services offered. Check out the 
            %a{href: "/services/migration/", target: "_blank"}
              migrations services
            page for more information. 


.services-form#contactform
  .page-container.container.text-center
    %h2 Interested in GitLab Professional Services? Get in touch.
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1476
    :javascript
      MktoForms2.setOptions(
      {
        formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
      });
      MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1476, function(form) {
        form.onSuccess(function(values, followUpUrl) {

          form.getFormElem().hide();
          document.getElementById('confirmform').style.visibility = 'visible';
          return false;
        });
      });
    #confirmform{style: "visibility:hidden;"}
      %p Submission received! We'll be in contact shortly.
